XnOSEvent Class Reference

`#include <XnOSCpp.h>`

## Public Member Functions

| XnOSEvent ()
| ~XnOSEvent ()
| operator XN_EVENT_HANDLE () const
XnStatus | Create (XnBool bManualReset)
XnStatus | Create (const XnChar *strName, XnBool bManualReset, XnBool bAllowOtherUsers=FALSE)
XnStatus | Open (const XnChar *strName, XnBool bEnableOtherUsers=FALSE)
XnStatus | Close ()
XnStatus | Set ()
XnStatus | Reset ()
XnStatus | Wait (XnUInt32 nMilliseconds)

## Constructor & Destructor Documentation

## XnOSEvent()

XnOSEvent::XnOSEvent | ( |  | ) |

inline

## ~XnOSEvent()

XnOSEvent::~XnOSEvent | ( |  | ) |

inline

## Member Function Documentation

## Close()

XnStatus XnOSEvent::Close | ( |  | ) |

inline

## Create() [1/2]

XnStatus XnOSEvent::Create | ( | const XnChar * | strName,
|  | XnBool | bManualReset,
|  | XnBool | bAllowOtherUsers = FALSE )

inline

## Create() [2/2]

XnStatus XnOSEvent::Create | ( | XnBool | bManualReset | ) |

inline

## Open()

XnStatus XnOSEvent::Open | ( | const XnChar * | strName,
|  | XnBool | bEnableOtherUsers = FALSE )

inline

## operator XN_EVENT_HANDLE()

XnOSEvent::operator XN_EVENT_HANDLE | ( |  | ) | const

inline

## Reset()

XnStatus XnOSEvent::Reset | ( |  | ) |

inline

## Set()

XnStatus XnOSEvent::Set | ( |  | ) |

inline

## Wait()

XnStatus XnOSEvent::Wait | ( | XnUInt32 | nMilliseconds | ) |

inline

The documentation for this class was generated from the following file:

- XnOSCpp.h